Customers

Get Customer Communication Settings

GET
/orgs/{organizationId}/customers/{id}/communication-settings

Retrieves the communication settings for a customer.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Response Body

OK

application/json
  1. response
autoVoicemailCalls*boolean

When enabled, inbound calls from this customer's phone number are rejected by the Voys call plan (NAK) so they end up in voicemail.

staticCallDestination*|

Voys account number, internal extension, or phone number. Inbound calls from this customer's phone are routed here. Null disables static routing.

curl -X GET 'https://api.tillor.eu/orgs/string/customers/string/communication-settings'
{  "autoVoicemailCalls": true,  "staticCallDestination": "string"}